Package ghidra.program.util

# Class RefRepeatCommentFieldLocation

java.lang.Object
ghidra.program.util.ProgramLocation
ghidra.program.util.CodeUnitLocation
ghidra.program.util.CommentFieldLocation
ghidra.program.util.RefRepeatCommentFieldLocation

All Implemented Interfaces:
  `Cloneable`, `Comparable<ProgramLocation>`

public class RefRepeatCommentFieldLocation extends CommentFieldLocation
The `RefRepeatCommentFieldLocation` class contains specific location information within the Referenced Repeatable comments of an EOL comment field of a CodeUnitLocation object.

- ## Field Summary

  ### Fields inherited from class ghidra.program.util.CommentFieldLocation

  `comment, type`

  ### Fields inherited from class ghidra.program.util.ProgramLocation

  `addr, program, refAddr`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RefRepeatCommentFieldLocation()`
  Default constructor needed for restoring an end-of-line field location from XML.
  `RefRepeatCommentFieldLocation(Program program, Address addr, int[] componentPath, String[] comment, int row, int charOffset, int currentCommentRow, Address refRepeatAddress)`
  Construct a new RefRepeatCommentFieldLocation.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  `int`
  `getCurrentCommentRow()`
  `Address`
  `getReferencedRepeatableAddress()`
  `int`
  `hashCode()`
  `void`
  `restoreState(Program p, SaveState obj)`
  Restore this program location using the given program and save state object.
  `void`
  `saveState(SaveState obj)`
  Save this program location to the given save state object.
  `String`
  `toString()`
  Returns a String representation of this location.

  ### Methods inherited from class ghidra.program.util.CommentFieldLocation

  `getComment, getCommentType, validateType`

  ### Methods inherited from class ghidra.program.util.CodeUnitLocation

  `isValid`

  ### Methods inherited from class ghidra.program.util.ProgramLocation

  `clone, compareAddr, compareTo, getAddress, getByteAddress, getCharOffset, getColumn, getComponentPath, getLocation, getProgram, getRefAddress, getRow, getTranslatedCopy`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### RefRepeatCommentFieldLocation

    public RefRepeatCommentFieldLocation(Program program, Address addr, int[] componentPath, String[] comment, int row, int charOffset, int currentCommentRow, Address refRepeatAddress)
    Construct a new RefRepeatCommentFieldLocation.
    Parameters:
      `program` - the program of the location
      `addr` - the address of the codeunit.
      `componentPath` - the componentPath of the codeUnit
      `comment` - comment text for the particular comment indicated by the address, subtype, and reference address.
      `row` - the line within the Eol comment.
      `charOffset` - the character position on the line within the comment line.
      `currentCommentRow` - the row index relative to the beginning of the particular referenced repeatable comment that is displayed at this location in the Eol comment field.
      `refRepeatAddress` - the referred to address for the referenced repeatable comment that is being displayed at this location.

  - ### RefRepeatCommentFieldLocation

    public RefRepeatCommentFieldLocation()
    Default constructor needed for restoring an end-of-line field location from XML.

- ## Method Details

  - ### getReferencedRepeatableAddress

    public Address getReferencedRepeatableAddress()

  - ### getCurrentCommentRow

    public int getCurrentCommentRow()

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `CommentFieldLocation`

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `CommentFieldLocation`

  - ### restoreState

    public void restoreState(Program p, SaveState obj)
    Description copied from class: `ProgramLocation`
    Restore this program location using the given program and save state object.
    Overrides:
      `restoreState` in class `CommentFieldLocation`
    Parameters:
      `p` - program to restore from
      `obj` - the save state to restore from

  - ### saveState

    public void saveState(SaveState obj)
    Description copied from class: `ProgramLocation`
    Save this program location to the given save state object.
    Overrides:
      `saveState` in class `CommentFieldLocation`
    Parameters:
      `obj` - the save state object for saving the location

  - ### toString

    public String toString()
    Description copied from class: `CommentFieldLocation`
    Returns a String representation of this location.
    Overrides:
      `toString` in class `CommentFieldLocation`